Cabal-3.10.1.0: A framework for packaging Haskell software

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Backpack.DescribeUnitId

Synopsis

- setupMessage' :: Pretty a => Verbosity -> String -> PackageIdentifier -> ComponentName -> Maybe [(ModuleName, a)] -> IO ()

# Documentation

setupMessage' Source #

Arguments

:: Pretty a |
=> Verbosity |
-> String | Operation being done (capitalized), on:
-> PackageIdentifier | Package
-> ComponentName | Component name
-> Maybe [(ModuleName, a)] | Instantiation, if available. Polymorphic to take `OpenModule` or `Module`
-> IO () |

Print a Setup message stating (1) what operation we are doing, for (2) which component (with enough details to uniquely identify the build in question.)